PropertyDefinitions (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Interface PropertyDefinitions

-     public interface PropertyDefinitions

  Implement this interface to access unique identifiers for property definitions not available elsewhere in the MAJ API through the `MediaProperty` annotation. The property constants in this interface are those used to define the root properties of an AAF file. These are used for specifying the starting strong reference in the target list of a weak reference.

  Note that this interface used to contain all property definitions. In the interests of easy ongoing maintenance, the details of a property are now only defined within its class definition. This should enable each AAF class to be managed as if a loosely-coupled component.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AUID` | `Root_MetaDictionary` Special property defining the meta dictionary object of an AAF file.
    `static AUID` | `Root_Preface` Special property defining the preface (header) object of an AAF file.

- - ### Field Detail

    - #### Root_MetaDictionary

          @MediaProperty(uuid1=218170113,
                         uuid2=257,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="MetaDictionary",
                         typeName="StrongReference to MetaDictionary",
                         optional=false,
                         uniqueIdentifier=false,
                         symbol="MetaDictionary")
          static final AUID Root_MetaDictionary

      Special property defining the meta dictionary object of an AAF file.

    - #### Root_Preface

          @MediaProperty(uuid1=218170113,
                         uuid2=258,
                         uuid3=256,
                         uuid4={6,14,43,52,1,1,1,2},
                         definedName="Preface",
                         typeName="PrefaceStrongReference",
                         optional=false,
                         uniqueIdentifier=false,
                         symbol="RootPreface")
          static final AUID Root_Preface

      Special property defining the preface (header) object of an AAF file.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.